/*	
	Script to set debug flags appropriate for shader debugging.
	
	
	To the extent possible under law, the person who associated CC0 with this
	work has waived all copyright and related or neighboring rights to this
	work.
	http://creativecommons.org/publicdomain/zero/1.0/
*/

this.name			= "ahruman-shader-debug-flags";
this.version		= "1.0";
this.author			= "Jens Ayton";


this.startUp = function ()
{
	delete this.startUp;
	
	try
	{
		var console = debugConsole;
	}
	catch (e)
	{
		// Debug console not active.
		return;
	}
	
	
	debugConsole.debugFlags = debugConsole.DEBUG_NO_SHADER_FALLBACK | debugConsole.DEBUG_SHADER_VALIDATION;
}
